## puppet-mode 0.3%2B132.g7dee1b5

=== debian/changelog ===
puppet-mode (0.3+132.g7dee1b5-2) unstable; urgency=medium

  * Add elpa-flycheck to Suggests.
  * Do source-only upload so puppet-mode can migrate to testing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 25 Aug 2019 20:01:48 -0400

puppet-mode (0.3+132.g7dee1b5-1) unstable; urgency=medium

  * Initial release. (Closes: #923899)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 08 Mar 2019 14:44:41 -0700

## puppet-mode 0.3+132.g7dee1b5

=== Makefile ===
CASK = cask
EMACS = emacs
EMACSFLAGS =
TESTFLAGS =

export EMACS

PKGDIR := $(shell EMACS=$(EMACS) $(CASK) package-directory)

SRCS = puppet-mode.el
OBJS = $(SRCS:.el=.elc)

.PHONY: compile test clean

compile: $(OBJS)

clean:
	rm -f $(OBJS)

test: $(PKGDIR)
	$(CASK) exec ert-runner $(TESTFLAGS)

%.elc : %.el $(PKGDIR)
	$(CASK) exec $(EMACS) -Q --batch $(EMACSFLAGS) -f batch-byte-compile $<

$(PKGDIR) : Cask
	$(CASK) install
	touch $(PKGDIR)

=== debian/control ===
Source: puppet-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 12)
             , dh-elpa
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/puppet-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/puppet-mode.git
Homepage: https://github.com/lunaryorn/puppet-mode

Package: elpa-puppet-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Suggests: elpa-imenu-list
        , elpa-flycheck
Enhances: emacs
Description: major mode for Puppet 3 manifests in Emacs
 Puppet Mode is a major mode for GNU Emacs that adds support for the
 Puppet language.  Puppet is a system provisioning and configuration
 tool by Puppetlabs Inc, and Puppet manifests are files that end in
 ".pp".  This mode supports Puppet 3 and later.
 .
 Features:
   * Syntax highlighting.
   * Indentation and alignment of expressions and statements.
   * Tag navigation with imenu.
   * Manual validation and linting of manifests (see Flycheck for
     on-the-fly validation and linting).
   * Integration with Puppet Debugger.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile.

override_dh_installdocs:
	mkdir debian/tmp
	cat README.md debian/local-var-snippet >> debian/tmp/README
	dh_installdocs debian/tmp/README
	cat relnotes/0.3.md debian/local-var-snippet >> debian/tmp/NEWS
	dh_installdocs debian/tmp/NEWS

## puppet-mode 0.4

=== debian/changelog ===
puppet-mode (0.4-3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Update my email address.
  * Declare Standards-Version: 4.6.2 (no changes required).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + elpa-puppet-mode: Drop versioned constraint on emacs in Recommends.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 17 Feb 2023 20:49:47 -0500

puppet-mode (0.4-2) unstable; urgency=medium

  * Update description to clarify that this major mode supports Puppet
    version ≥3, and not exclusively v3 (Closes: #958955).
  * Migrate to debhelper-compat 13.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 08 Dec 2020 06:58:37 -0500

puppet-mode (0.4-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root: no.
  * Declare Standards-Version: 4.5.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 19 Apr 2020 14:19:20 -0400

=== debian/control ===
Source: puppet-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/emacsen-team/puppet-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/puppet-mode.git
Homepage: https://github.com/lunaryorn/puppet-mode

Package: elpa-puppet-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Suggests: elpa-imenu-list
        , elpa-flycheck
Enhances: emacs
Description: Emacs major mode for Puppet manifests
 Puppet Mode is a major mode for GNU Emacs that adds support for ≥3 of the
 Puppet language.  Puppet is a system provisioning, configuration, and
 automation tool by Puppetlabs Inc, and its manifests are files that end in
 ".pp".
 .
 Features:
   * Syntax highlighting.
   * Indentation and alignment of expressions and statements.
   * Tag navigation with imenu.
   * Manual validation and linting of manifests (see Flycheck for
     on-the-fly validation and linting).
   * Integration with Puppet Debugger.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/puppet-mode-$1.tar.gz/" \
    https://github.com/voxpupuli/puppet-mode/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
